ImportOS · Документація
Довідник API

GET /v1/shipments

Shipments of a deal

Shipments of a deal

The container/bill of lading of the deal with tracking events. deal_id is required. Requires scope write:deals.

  • Автентифікація: заголовок Authorization: Bearer rv_live_... (API-ключі та scopes)
  • Потрібний scope: write:deals
Опис операції, параметрів і полів походить зі специфікації OpenAPI (openapi.json) і подається англійською, як у самому API.

Параметри

ПолеДеТипОбов’язк.Опис
deal_idquerystring (uuid)такDeal whose shipment to return.

Відповіді

200

Shipments of the deal.

application/json · Схема: ShipmentList

ПолеТипОбов’язк.Опис
itemsobject[]так
items[].idstring (uuid)ні
items[].dealIdstring (uuid)ні
items[].status"planned" | "booked" | "loaded" | "in_transit" | "at_port" | "discharged" | "released" | "delivered"ні
items[].containerNostring | nullні
items[].billOfLadingstring | nullні
items[].vesselstring | nullні
items[].portFromstring | nullні
items[].portTostring | nullні
items[].etdstring | nullніISO 8601 date-time (UTC).
items[].etastring | nullніISO 8601 date-time (UTC).
items[].atastring | nullніISO 8601 date-time (UTC).
items[].eventsobject[]ні
items[].lastTrackedAtstring | nullніISO 8601 date-time (UTC).
items[].warningsstring[]ні

400

Invalid request parameters or body (code validation_error).

application/problem+json · Схема: Problem

401

Missing, malformed, unknown, revoked or expired API key (code unauthorized).

application/problem+json · Схема: Problem

403

The API key lacks the scope required by this endpoint (code insufficient_scope).

application/problem+json · Схема: Problem

404

Not found in this tenant.

application/problem+json · Схема: Problem

429

Rate limit exceeded for the tenant plan (code rate_limited). Wait Retry-After seconds.

application/problem+json · Схема: Problem

На цій сторінці